diff a/test/langtools/tools/javac/processing/model/TestSourceVersion.java b/test/langtools/tools/javac/processing/model/TestSourceVersion.java
--- a/test/langtools/tools/javac/processing/model/TestSourceVersion.java
+++ b/test/langtools/tools/javac/processing/model/TestSourceVersion.java
@@ -102,11 +102,11 @@
          */
         Set<String> restrictedKeywords =
             Set.of("open", "module", "requires", "transitive", "exports",
                    "opens", "to", "uses", "provides", "with",
                    // Assume "record" and "sealed" will be restricted keywords.
-                   "record", "sealed");
+                   "record", "sealed", "value");
 
         for (String key : restrictedKeywords) {
             for (SourceVersion version : SourceVersion.values()) {
                 check(false, key, (String s) -> isKeyword(s, version), "keyword", version);
                 check(true,  key, (String s) -> isName(s, version),    "name",    version);
@@ -131,10 +131,22 @@
             Predicate<String> isKeywordVersion = (String s) -> isKeyword(s, version);
             Predicate<String> isNameVersion = (String s) -> isName(s, version);
 
             for  (String name : List.of("yield", "foo.yield", "yield.foo")) {
                 check(false, name, isKeywordVersion, "keyword", version);
+                check(true, name,  isNameVersion, "name", version);
+            }
+        }
+    }
+
+    private static void testValue() {
+        for (SourceVersion version : SourceVersion.values()) {
+            Predicate<String> isKeywordVersion = (String s) -> isKeyword(s, version);
+            Predicate<String> isNameVersion = (String s) -> isName(s, version);
+
+            for  (String name : List.of("value", "foo.value", "value.foo")) {
+                check(false, name, isKeywordVersion, "keyword", version);
                 check(true, name,  isNameVersion, "name", version);
             }
         }
     }
 
